﻿
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Montserrat', sans-serif;
    background: #f5f8fc;
    color: #111827;
}

a {
    text-decoration: none;
    color: inherit;
}

/* =========================
           HEADER
        ========================= */

header {
    height: 68px;
    background: #001a45;
    color: #fff;
    display: flex;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 1000;
    box-shadow: 0 3px 12px rgba(0,0,0,.18);
}

.header-container {
    width: 1150px;
    max-width: 94%;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* LOGO */

.logo {
    display: flex;
    align-items: center;
    gap: 12px;
}

.logo-icon {
    width: 52px;
    height: 52px;
    border-radius: 50%;
    border: 3px solid #f8c400;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 25px;
    background: #062b61;
}

.logo-text h2 {
    font-size: 20px;
    font-weight: 800;
    letter-spacing: .2px;
}

    .logo-text h2 span {
        color: #ffc400;
    }

.logo-text p {
    font-size: 10px;
    margin-top: 2px;
    color: #e7edf7;
    letter-spacing: .3px;
}

/* NAVIGATION */

nav {
    display: flex;
    align-items: center;
    gap: 32px;
}

    nav a {
        font-size: 13px;
        font-weight: 600;
        color: #fff;
        padding: 25px 0;
        position: relative;
        transition: .3s;
    }

        nav a:hover {
            color: #ffc400;
        }

        nav a.active {
            color: #ffc400;
        }

            nav a.active::after {
                content: "";
                position: absolute;
                bottom: 10px;
                left: 0;
                width: 100%;
                height: 3px;
                background: #ffc400;
                border-radius: 5px;
            }

.login-btn {
    background: #ffc400;
    color: #111;
    padding: 10px 18px;
    border-radius: 8px;
    font-size: 12px;
    font-weight: 800;
    transition: .3s;
}

    .login-btn:hover {
        background: #fff;
        transform: translateY(-2px);
    }

/* MOBILE MENU */

.menu-btn {
    display: none;
    font-size: 25px;
    cursor: pointer;
}




/* =========================
           RESPONSIVE
        ========================= */

@media(max-width: 950px) {

    nav {
        gap: 15px;
    }

        nav a {
            font-size: 11px;
        }

    .features-container {
        grid-template-columns: repeat(2, 1fr);
    }

    .feature:nth-child(2) {
        border-right: none;
    }

    .booking-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .bottom-grid {
        grid-template-columns: 1fr;
    }

    .footer-container {
        flex-wrap: wrap;
        gap: 15px;
        padding: 15px 0;
    }
}

@media(max-width: 700px) {

    header {
        height: 62px;
    }

    .menu-btn {
        display: block;
    }

    nav {
        display: none;
        position: absolute;
        top: 62px;
        left: 0;
        right: 0;
        background: #001a45;
        flex-direction: column;
        gap: 0;
        padding: 10px 20px 20px;
    }

        nav.show {
            display: flex;
        }

        nav a {
            width: 100%;
            padding: 13px;
            border-bottom: 1px solid rgba(255,255,255,.08);
        }

            nav a.active::after {
                display: none;
            }

    .login-btn {
        margin-top: 10px;
        text-align: center;
    }

    .logo-text h2 {
        font-size: 16px;
    }

    .hero {
        min-height: 350px;
    }

    .hero-content h1 {
        font-size: 32px;
    }

    .hero-content p {
        font-size: 14px;
    }

    .hero-buttons {
        flex-direction: column;
        align-items: flex-start;
    }

    .features-container {
        grid-template-columns: 1fr;
    }

    .feature {
        border-right: none;
        border-bottom: 1px solid #cadcea;
        padding: 12px 5px;
    }

    .booking-grid {
        grid-template-columns: 1fr;
    }

    .section-title h2 {
        font-size: 20px;
    }

    .section-title::before,
    .section-title::after {
        width: 35px;
    }

    .bottom-grid {
        grid-template-columns: 1fr;
    }

    .footer-container {
        flex-direction: column;
        text-align: center;
        padding: 20px 0;
    }

    .footer-links {
        flex-wrap: wrap;
        justify-content: center;
    }
}
